
//////////////////////////////////////////////////////////////
//
// Source file for OptionsWindowMainWindow
//
//    This class is a ViewKit VkSimpleWindow subclass
//
//
// Normally, very little in this file should need to be changed.
// Create/add/modify menus using the builder.
//
// Try to restrict any changes to the bodies of functions
// corresponding to menu items, the constructor and destructor.
//
// Restrict changes to those sections between
// the "//--- Start/End editable code block" markers
//
// Doing so will allow you to make changes using the builder
// without losing any changes you may have made manually
//
// Avoid gratuitous reformatting and other changes that might
// make it difficult to integrate changes made using the builder
//////////////////////////////////////////////////////////////
#include "OptionsWindowMainWindow.h"
#include <stdio.h>
#include <Vk/VkApp.h>
#include <Vk/VkFileSelectionDialog.h>
#include <Vk/VkSubMenu.h>
#include <Vk/VkRadioSubMenu.h>
#include <Vk/VkMenuItem.h>
#include "OptionsForm.h"
//---- Start editable code block: headers and declarations


//---- End editable code block: headers and declarations



// These are default resources for widgets in objects of this class
// All resources will be prepended by *<name> at instantiation,
// where <name> is the name of the specific instance, as well as the
// name of the baseWidget. These are only defaults, and may be overriden
// in a resource file by providing a more specific resource name

String  OptionsWindowMainWindow::_defaultOptionsWindowMainWindowResources[] = {
        "*title:  Options",
        (char*)NULL
};


//---- Class declaration

OptionsWindowMainWindow::OptionsWindowMainWindow( const char *name,
                                                  ArgList args,
                                                  Cardinal argCount) : 
                                            VkSimpleWindow (name, args, argCount) 
{
    // Load any class-default resources for this object

    setDefaultResources(baseWidget(), _defaultOptionsWindowMainWindowResources  );


    // Create the view component contained by this window

    _optionsForm= new OptionsForm("optionsForm",mainWindowWidget());


    XtVaSetValues ( _optionsForm->baseWidget(),
                    XmNwidth, 314, 
                    XmNheight, 380, 
                    (XtPointer) NULL );

    // Add the component as the main view

    addView (_optionsForm);
    _optionsForm->setParent(this);

    // Set up the window manager properties for this window.
    // This window is a coprimary window, as defined by the SGI Style Guide
    // This window cannot be resized by the user.

     VkConfigureWM ( this,
                    FALSE,   //quit
                    TRUE,  // close
                    TRUE,   // border 
                    TRUE,   // title 
                    FALSE,  // allow resize
                    TRUE,   // allow iconify
                    TRUE);  // Show window manager menu

    //---- Start editable code block: OptionsWindowMainWindow constructor


    //---- End editable code block: OptionsWindowMainWindow constructor


} // End Constructor


OptionsWindowMainWindow::~OptionsWindowMainWindow()
{
    delete _optionsForm;
    //---- Start editable code block: OptionsWindowMainWindow destructor


    //---- End editable code block: OptionsWindowMainWindow destructor
} // End destructor


const char *OptionsWindowMainWindow::className()
{
    return ("OptionsWindowMainWindow");
} // End className()


Boolean OptionsWindowMainWindow::okToQuit()
{    //---- Start editable code block: OptionsWindowMainWindow okToQuit



    // This member function is called when the user quits by calling
    // theApplication->terminate() or uses the window manager close protocol
    // This function can abort the operation by returning FALSE, or do some.
    // cleanup before returning TRUE. The actual decision is normally passed on
    // to the view object


    // Query the view object, and give it a chance to cleanup

    return ( _optionsForm->okToQuit() );

    //---- End editable code block: OptionsWindowMainWindow okToQuit
} // End okToQuit()


//---- Start editable code block: End of generated code


//---- End editable code block: End of generated code


